cascading.flow.planner.iso.finder

## Class GraphFinderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.planner.iso.finder.GraphFinderException

- All Implemented Interfaces:
    java.io.Serializable

      public class GraphFinderException
      extends CascadingException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphFinderException()`
    `GraphFinderException(java.lang.String message)`
    `GraphFinderException(java.lang.String message, org.jgrapht.DirectedGraph graph)`
    `GraphFinderException(java.lang.String message, java.lang.Throwable throwable)`
    `GraphFinderException(java.lang.Throwable throwable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgrapht.DirectedGraph` | `getGraph()`
    `void` | `writeDOT(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphFinderException

          public GraphFinderException()

    - #### GraphFinderException

          public GraphFinderException(java.lang.String message)

    - #### GraphFinderException

          public GraphFinderException(java.lang.String message,
                              java.lang.Throwable throwable)

    - #### GraphFinderException

          public GraphFinderException(java.lang.Throwable throwable)

    - #### GraphFinderException

          public GraphFinderException(java.lang.String message,
                              org.jgrapht.DirectedGraph graph)

  - ### Method Detail

    - #### getGraph

          public org.jgrapht.DirectedGraph getGraph()

    - #### writeDOT

          public void writeDOT(java.lang.String filename)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.